Loading...
Searching...
No Matches
XrdSysPthread.hh File Reference
`#include <cerrno>`
`#include <pthread.h>`
`#include <signal.h>`
`#include <semaphore.h>`
`#include "XrdSys/XrdSysError.hh"`
Include dependency graph for XrdSysPthread.hh:

Go to the source code of this file.

## Classes

class | XrdSysCondVar
class | XrdSysCondVar2
class | XrdSysCondVarHelper
class | XrdSysFusedMutex
class | XrdSysMutex
class | XrdSysMutexHelper
class | XrdSysRecMutex
class | XrdSysRWLock
class | XrdSysRWLockHelper
class | XrdSysSemaphore
class | XrdSysThread

## Macros

#define | XRDSYSTHREAD_BIND 0x001
#define | XRDSYSTHREAD_HOLD 0x002

## Macro Definition Documentation

## XRDSYSTHREAD_BIND

#define XRDSYSTHREAD_BIND 0x001

Definition at line 543 of file XrdSysPthread.hh.

Referenced by XrdSys::IOEvents::Poller::Create(), XrdFrmTransfer::Init(), XrdFrmXfrQueue::Init(), main(), mainConfig(), XrdFrmMigrate::Migrate(), XrdFrmXfrDaemon::Pong(), XrdSysThread::Run(), XrdPoll::Setup(), XrdFrmReqBoss::Start(), XrdScheduler::Start(), and XrdW41Gate::Wait41().

## XRDSYSTHREAD_HOLD

#define XRDSYSTHREAD_HOLD 0x002

Definition at line 548 of file XrdSysPthread.hh.

Referenced by XrdSecsssKT::XrdSecsssKT(), and XrdSysThread::Run().